Subject: Re: errno missing in link of wget
From: [email-masked]

11 Jun 1997 20:35:03 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
In-Reply-To: <[email-masked]> from "Theodore W. Leung" at "Jun 10, 97 09:22:44 pm"
Original-To: [email-masked] (Theodore W. Leung)
Original-Cc: [email-masked]
X-Mailer: ELM [version 2.4ME+ PL31 (25)]
Original-Sender: [email-masked]

> I've been puzzling over this one....
> 
> I'm running gnuwin32-b18 on NT 4.0 + SP2 + Hotfixes.
> 
> I tried to build GNU's wget-1.4.5 by downloading from gatekeeper,
> decompressing and untaring, and running configure.  configure ran okay, so
> I type'd make.
> 
> All the source files compile, but I get this for a link:
> 
> gcc  -o wget connect.o host.o http.o netrc.o ftp-basic.o ftp.o ftp-ls.o
> mtch.o h
> tml.o retr.o recur.o url.o init.o utils.o cmpt.o getopt.o main.o version.o
> http.o(.text+0x835):http.c: undefined reference to `errno'
> http.o(.text+0x8f5):http.c: undefined reference to `errno'
> http.o(.text+0xfb4):http.c: undefined reference to `errno'
> http.o(.text+0x154f):http.c: undefined reference to `errno'
> http.o(.text+0x1df9):http.c: undefined reference to `errno'
> http.o(.text+0x23ac):http.c: more undefined references to `errno' follow
> gcc: Internal compiler error: program ld got fatal signal 1
> make: *** [wget] Error 1
> make: *** [src] Error 2

	I had compiled it out last time ...

	add " #include <errno.h> " in config.h.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".